package org.artifactory.workqueue;

import org.mockito.Mockito;
import org.testng.annotations.Test;

import static org.testng.Assert.assertEquals;

@Test
public class WorkQueueInfoTest {

    @Test
    public void testValidationOK() {
        WorkQueueConflictsGuardProvider conflictsGuard = Mockito.mock(WorkQueueConflictsGuardProvider.class);
        WorkQueueInfo info = new WorkQueueInfo(1, "Test", conflictsGuard);

        assertEquals(info.getMaxNumberOfThreads(), 1);
        assertEquals(info.getName(), "Test");
        assertEquals(info.getConflictsGuardProvider(), conflictsGuard);
    }

    @Test(expectedExceptions = IllegalArgumentException.class,
            expectedExceptionsMessageRegExp = ".*\\bname\\b.*")
    public void testNameValidationErr() {
        new WorkQueueInfo(1, null, Mockito.mock(WorkQueueConflictsGuardProvider.class));
    }

    @Test(expectedExceptions = IllegalArgumentException.class,
            expectedExceptionsMessageRegExp = ".*\\bconflictsGuardProvider\\b.*")
    public void testConflictsGuardValidationErr() {
        new WorkQueueInfo(1, "Test", null);
    }
}
